Subject: RE: David Korn: "Porting UNIX to Windows NT"
From: [email-masked]

17 Jan 1997 00:39:15 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked],
        [email-masked]
Original-Sender: [email-masked]

Hi!

[Since I don't know if Mr. Korn is reading the gnu-win32 list, I've CC'ed
him and included the whole message at end.]

Sigh, that it's not available...

I wanted to report a problem printing it (there are some typos, too).
Our duplex printer chokes on the embedded figure 1, where setcmykcolor
is called, which is Level 2 PostScript, and that despite some checks!
Ghostscript/ghostview and some other printer handle it fine.
It is used only for a 3D effect on a rectangle, which as well could
have been rgbcolor or grayscale or just black&white, IMHO.
I guess the slides in talk.ps have the same problem (didn't print them).
At least it allows A4 paper, not the usual trouble with letter docs
from Framemaker!

I figured out a fix, if someone cares about:
(Dunno how the fix looks or works on a real color printer...)

*** winnt.ps    Wed Jan 15 14:29:20 1997
--- winnt_mono.ps       Fri Jan 17 02:43:57 1997
***************
*** 1519,1524 ****
--- 1519,1537 ----
  cleartomark restore
  %ps_include: begin
  save
+ /setcmykcolor {
+ 1 sub 4 1 roll
+ 3
+ {
+ 3 index add neg dup 0 lt
+ {
+ pop 0
+ } if
+ 3 1 roll
+ } repeat
+ setrgbcolor
+ pop
+ } bind def 
  /ed {exch def} def
  {} /showpage ed
  {} /copypage ed

: David G. Korn of AT&T Labs (author of the Korn shell (ksh)) presented
: a paper entitled "Porting UNIX to NT" at last week's Usenix conference
: in California.  In it he describes his group's efforts "to build a
: UNIX interface layer on top of the Windows NT and Windows 95 operating
: systems."  The paper does an excellent job of distilling out and
: describing the key issues and problems of this task.  It also
: describes, in some technical detail, their approaches and solutions.
: 
: A PostScript copy of the paper is available at:
: 
:   http://www.research.att.com/sw/tools/uwin/winnt.ps
: 
: I would strongly recommend it for reading to anyone with an interest
: in implementations of UNIX environments/utilities on NT.  I also think
: it might hold some particularly good insights for anyone involved in
: development on the gnu-win32 project.
: 
: The parent page to the URL given above gives an overview to the
: package, called UWIN, created as a result of their efforts.  The
: project, which appears to be even more ambitious than the gnu-win32
: effort, is apparently quite far along.  Unfortunately, it is not clear
: whether the UWIN package will ever become publicly available.
: 
: Hopefully, AT&T Research will see benefits to providing a freely
: available Unix environment for the Windows 95 & NT platforms.  For
: one, it could help break the strangle hold of the cumbersome Win32 API
: and provide opportunities for vendors (such as AT&T) of products based
: on more openly supported programming interfaces.  With any luck, the
: continued success and popularity of the Cygnus gnu-win32 effort will
: help drive this point home.
: -
: For help on using this list, send a message to
: "[email-masked]" with one line of text: "help".

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".